
ChiliProject - Bug # 152: Bug in Versioned#versions_count (acts_as_versioned)

Status: Declined Priority: Normal
Author: Felix Schäfer Category:
Created: 2011-02-06 Assignee:
Updated: 2011-08-21 Due date:
Remote issue URL:
Affected version:
Description: This line: source:/vendor/plugins/acts_as_versioned/lib/acts_as_versioned.rb#L270 obviously only works 

when the local variable @page@ is defined.

History
2011-02-10 09:34 pm - Felix Schäfer
(This would also be obsolete after #123 is done)

2011-02-22 06:36 pm - Felix Schäfer
- Status changed from Open to Ready for review

This should fix it, I wasn't able to run the tests of the plugin though (but that's an independent problem from this one hereâ€¦):

<pre><code class="diff">diff --git a/vendor/plugins/acts_as_versioned/lib/acts_as_versioned.rb 
b/vendor/plugins/acts_as_versioned/lib/acts_as_versioned.rb
index bba10c4..6be26d1 100644
--- a/vendor/plugins/acts_as_versioned/lib/acts_as_versioned.rb
+++ b/vendor/plugins/acts_as_versioned/lib/acts_as_versioned.rb
@@ -267,7 +267,7 @@ module ActiveRecord #:nodoc:
             end
 
             def versions_count
-              page.version
+              self.class.count(:conditions => ["#{original_class.versioned_foreign_key} = ?", self.send(original_class.versioned_foreign_key)])
             end
           end
 </code></pre>

2011-08-21 01:29 pm - Holger Just
- Status changed from Ready for review to Declined

I think this is obsolete now after #123 got merged.
